## dh-di 10

=== Makefile ===
VERSION := $(shell dpkg-parsechangelog | awk '/Version:/ { print $$2 }')

PERLLIBDIR := $(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

POD2MAN := pod2man -c Debhelper -r "$(VERSION)"

build:
	$(POD2MAN) dh_di_numbers dh_di_numbers.1
	$(POD2MAN) dh_di_kernel_gencontrol dh_di_kernel_gencontrol.1
	$(POD2MAN) dh_di_kernel_install dh_di_kernel_install.1

clean:
	rm -f *.1

install:
	install -d $(DESTDIR)/usr/bin $(DESTDIR)$(PERLLIBDIR)/Sequence
	install dh_di_numbers $(DESTDIR)/usr/bin/
	install dh_di_kernel_gencontrol $(DESTDIR)/usr/bin/
	install dh_di_kernel_install $(DESTDIR)/usr/bin/
	install -m 0644 lib/Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence/

## dh-di 3

=== debian/changelog ===
dh-di (3) unstable; urgency=low

  * Policy version 3.8.3: no changes required.
  * Add FILES section to dh_di_numbers(1); compare debhelper 7.4.1.
  * Only append the basename of each source directory in di-numbers to the
    destination directory, not the whole source directory (LP: #430724).

 -- Colin Watson <cjwatson@debian.org>  Wed, 16 Sep 2009 23:27:06 +0100

dh-di (2) unstable; urgency=low

  * Fix semantics of symlink creation in _numbers files.

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Aug 2009 23:30:31 +0100

dh-di (1) unstable; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Aug 2009 13:51:07 +0100

=== debian/control ===
Source: dh-di
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.8), perl (>= 5.6.0-16)
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/dh-di

Package: dh-di
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: Debhelper addon for debian-installer
 This debhelper addon automates various specialised tasks needed to build
 packages that form part of the Debian installer (d-i).

## dh-di 5

=== debian/changelog ===
dh-di (5) unstable; urgency=low

  [ Colin Watson ]
  * Tell dh to skip dh_di_numbers if a di-numbers file doesn't exist.

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 12:46:29 +0200

dh-di (4) unstable; urgency=low

  * Team upload

  [ Colin Watson ]
  * Make debian/copyright non-executable.

  [ Christian Perrier ]
  * Use 1.0 as Format-Specification for debian/copyright
  * Policy version 3.9.4: no changes required.

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 14:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 7.0.8), perl (>= 5.6.0-16)
-Standards-Version: 3.8.3
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/dh-di
+Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
+Build-Depends: debhelper (>= 9), perl (>= 5.6.0-16)
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/dh-di.git
+Vcs-Git: git://anonscm.debian.org/d-i/dh-di.git
 
 Package: dh-di
 Architecture: all

## dh-di 6

=== debian/changelog ===
dh-di (6) unstable; urgency=medium

  [ Colin Watson ]
  * Add Files field to licence paragraph in debian/copyright, as required by
    the current specification.

  [ Christian Perrier ]
  * Update Standards to 3.9.5 (checked)

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Jan 2014 10:01:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), perl (>= 5.6.0-16)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/dh-di.git
 Vcs-Git: git://anonscm.debian.org/d-i/dh-di.git

## dh-di 8

=== debian/changelog ===
dh-di (8) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Declare binary package as Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Jan 2016 16:45:54 +0000

dh-di (7) unstable; urgency=medium

  [ Colin Watson ]
  * Policy version 3.9.6: no changes required.

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jan 2016 21:31:42 +0100

=== debian/control ===
Source: dh-di
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), perl (>= 5.6.0-16)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/dh-di.git
Vcs-Git: https://anonscm.debian.org/git/d-i/dh-di.git

Package: dh-di
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: Debhelper addon for debian-installer
 This debhelper addon automates various specialised tasks needed to build
 packages that form part of the Debian installer (d-i).

## dh-di 9

=== debian/changelog ===
dh-di (9) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 29 Aug 2018 12:21:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), perl (>= 5.6.0-16)
 Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/dh-di.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/dh-di.git
+Vcs-Browser: https://salsa.debian.org/installer-team/dh-di
+Vcs-Git: https://salsa.debian.org/installer-team/dh-di.git
 
 Package: dh-di
 Architecture: all

## dh-di 9+nmu1

=== debian/changelog ===
dh-di (9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:35 +0800

## dh-di 10

=== debian/changelog ===
dh-di (10) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927561)

  [ Colin Watson ]
  * dh_di_numbers: Rename install_dir to install_di_dir, to avoid clashing
    with a subroutine defined in Debian::Debhelper::Dh_Lib.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Jul 2019 08:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9), perl (>= 5.6.0-16)
 Standards-Version: 3.9.6
 Vcs-Browser: https://salsa.debian.org/installer-team/dh-di

## dh-di 11

=== debian/changelog ===
dh-di (11) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Update URL of copyright format to https, to fix lintian tag.

  [ Colin Watson ]
  * Add "Provides: dh-sequence-d-i".

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 18 Jul 2022 14:41:14 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${perl:Depends}
+Provides: dh-sequence-d-i
 Description: Debhelper addon for debian-installer
  This debhelper addon automates various specialised tasks needed to build
  packages that form part of the Debian installer (d-i).

## dh-di 11build1

=== debian/changelog ===
dh-di (11build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:24:54 +0100
